### Method

# Ide LspCodeActionProvider set_client

#### Declaration

    void
    ide_lsp_code_action_provider_set_client (
      IdeLspCodeActionProvider* self,
      IdeLspClient* client
    )

#### Description

No description available.

Sets property | `Ide.LspCodeActionProvider:client`

#### Parameters

`client` | `IdeLspClient`
| No description available.
| The data is owned by the caller of the function.